#include "hdf5.h"
#include "stdlib.h"

int
main (int argc, char **argv)
{

hid_t plist_id;       /* property list identifier */
hid_t file_id;        /* file identifier */
int mpi_rank, mpi_size;

char H5FILE_NAME[128];   /* filename */

/* Initialize MPI */
MPI_Init(&argc, &argv);
MPI_Comm_size(MPI_COMM_WORLD, &mpi_size);
MPI_Comm_rank(MPI_COMM_WORLD, &mpi_rank);

/* setting filename */
sprintf(H5FILE_NAME,"RUN/%s.h5","my_first_parallel_file");
printf("I'm task %d of %d \n",mpi_rank,mpi_size);
if (mpi_rank==0) printf("creating h5 file %s...", H5FILE_NAME);

/* Set up file access property list for MPI-IO access */
plist_id = H5Pcreate(H5P_FILE_ACCESS);
H5Pset_fapl_mpio(plist_id, MPI_COMM_WORLD, MPI_INFO_NULL);

file_id = H5Fcreate(H5FILE_NAME, H5F_ACC_TRUNC, H5P_DEFAULT, plist_id);

/* release property list identifier */
H5Pclose(plist_id);

/* Close the file. */
H5Fclose(file_id);
if (mpi_rank==0) printf("...all done\n");
MPI_Finalize();

}
